%{?nodejs_find_provides_and_requires}

%global packagename sinon
%global enable_tests 0
# tests disabled due to dependency on unpackaged npm(buster)

Name:		nodejs-sinon
Version:	1.17.2
Release:	1%{?dist}
Summary:	JavaScript test spies, stubs and mocks

License:	BSD
URL:		http://github.com/cjohansen/Sinon.JS.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(buster)
%endif

Requires:	nodejs

%description
JavaScript test spies, stubs and mocks.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package




%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json pkg/ lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Oct 29 2015 Jared Smith <jsmith@fedoraproject.org> - 1.17.2-1
- Initial packaging
